/*
 * @file ledRGB.h
 * @note
 * Defini&ccedil;&atilde;o de macros referentes aos endere&ccedil;os dos registradores
 * do microcontrolador. O endere&ccedil;o em que cada registrador est&aacute; mapeado
 * pode ser consultado no manual de refer&ecirc;ncia
 * ftp://ftp.dca.fee.unicamp.br/pub/docs/ea871/ARM/KL25P80M48SF0RM.pdf.
 * Com o mecanismo de busca pelas macros no manual, encontra-se junto &aacute; 
 * descri&ccedil;&atilde;o de cada registrador o seu endere&ccedil;o no espa&ccedil;o
 * de mem&oacute;ria em hexadecimal.
 * 
 * @date Feb 7, 2017
 * @author Ting
 */

#ifndef LEDRGB_H_
#define LEDRGB_H_

/*! Habilita as portas do GPIO (Reg. SIM_SCGC5) */
#define SIM_SCGC5   (*(unsigned int volatile *) 0x40048038) 
/*! MUX do pino PTB18 (Reg. PORTB_PCR18) */
#define PORTB_PCR18 (*(unsigned int volatile *) 0x4004A048) 
/*!  Dire&ccedil;&atilde;o dos dados nos pinos da porta PORTB (Reg. GPIOB_PDDR) */
#define GPIOB_PDDR  (*(unsigned int volatile *) 0x400FF054)
/*! Seta bit nos pinos da porta PORTB (Reg. GPIOB_PSOR) */
#define GPIOB_PSOR  (*(unsigned int volatile *) 0x400FF044)
/*! Limpa bit nos pinos da porta PORTB (Reg. GPIOB_PCOR) */
#define GPIOB_PCOR  (*(unsigned int volatile *) 0x400FF048) 

void initLedR();

void ligaLedR();

void apagaLedR();

void alternaLedR();

#endif /* LEDRGB_H_ */
