/*!
 * @file ledRGB.c
 * @brief Gerencia o led RGB
 * @date Feb 7, 2017
 * @author Ting
 */
#include "ledRGB.h"

/*!
 * @brief Inicializa os registradores relacionados com o led R
 */
void initLedR() {
	SIM_SCGC5 = SIM_SCGC5 | (1<<10);    /*!  Habilita clock GPIO do PORTB */
	PORTB_PCR18 = PORTB_PCR18 & 0xFFFFF8FF; /*! Zera bits 10, 9 e 8 (MUX) de PTB18 */
	PORTB_PCR18 = PORTB_PCR18 | 0x00000100; /*! Seta bit 8 do MUX de PTB18, assim os 3 bits de MUX ser&atilde;o 001 = fun&ccedil;&atilde;o GPIO */
	GPIOB_PDDR  = GPIOB_PDDR  | (1<<18);    /*! Seta dire&ccedil;&atilde;o do pino 18 de PORTB como sa&iacute;da */
}

/*!
 * @brief Liga led R
 * @note
 * Atribuir 0 nos bits do registrador PCOR n&atilde;o afeta o estado dos pinos correspondentes.
 */
void ligaLedR() {
	GPIOB_PCOR = (1<<18); /*! Limpa bit 18, LED vermelho em PTB18 (acende) */	
}

/*!
 * @brief Apaga led R
 * @note
 * Atribuir 0 nos bits do registrador PSOR n&atilde;o afeta o estado dos pinos correspondentes.
 */
void apagaLedR() {
	GPIOB_PSOR = (1<<18);     /*! Seta bit 18, LED vermelho em PTB18 (apaga) */
}

/*!
 * @brief Alterna led R
 * @note
 * Atribuir 0 nos bits do registrador PTOR n&atilde;o afeta o estado dos pinos correspondentes.
 */
void alternaLedR() {
}
